Subject: Re: linux-next: Tree for July 12 (debugfs/sysfs/rcu)

From: Randy Dunlap <[email-masked]>
Date: Mon, 12 Jul 2010 12:47:50 -0700

On Mon, 12 Jul 2010 15:51:09 +1000 Stephen Rothwell wrote:

> Hi all,
> Changes since 20100709:

Greg,
What is there about debugfs that requires sysfs?

(lib/Kconfig.debug:)

config DEBUG_FS
	bool "Debug Filesystem"
	depends on SYSFS

I ask because kconfig now (in linux-next) warns about kconfig dependency
problems, like this one:

warning: (TREE_RCU_TRACE || AMD_IOMMU_STATS && AMD_IOMMU || MTD_UBI_DEBUG && MTD && SYSFS && MTD_UBI || UBIFS_FS_DEBUG && MISC_FILESYSTEMS && UBIFS_FS || DEBUG_KMEMLEAK && DEBUG_KERNEL && EXPERIMENTAL && !MEMORY_HOTPLUG && (X86 || ARM || PPC || S390 || SPARC64 || SUPERH || MICROBLAZE) && SYSFS || TRACING || X86_PTDUMP && DEBUG_KERNEL || BLK_DEV_IO_TRACE && TRACING_SUPPORT && FTRACE && SYSFS && BLOCK) selects DEBUG_FS which has unmet direct dependencies (SYSFS)

because TREE_RCU_TRACE selects DEBUG_FS, even when SYSFS is not enabled.
I first made a patch to have TREE_RCU_TRACE depend on SYSFS, but then I just
removed the DEBUG_FS "depends on SYSFS" and the kernel builds fine,
hence the first question.

thanks,
---
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***